Ubuntu

Dell Latitude D600 hangs on wakeup from suspend

Reported by joenix on 2010-04-09
218
This bug affects 49 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Maverick by soren121

Bug Description

Since upgrading to Lucid, my Latitude D600 hangs when resuming from suspend.

I get from pm_trace:
hash matches /build/buildd/linux-2.6.32/drivers/base/power/main.c:433

I can confirm that suspend works on 2.6.32-24-generic when the laptop is docked and doesn't work when undocked.

WORKAROUND: I have installed the kernel package from karmic (2.6.31-14).

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-19-386 (not installed)
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Uname: Linux 2.6.32-16-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jeroen 1264 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with STAC9750,51 at irq 5'
   Mixer name : 'SigmaTel STAC9750,51'
   Components : 'AC97a:83847650'
   Controls : 38
   Simple ctrls : 24
Date: Fri Apr 9 13:58:31 2010
HibernationDevice: RESUME=UUID=98a606c7-aaa3-471c-849e-c578c15318e5
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Computer Corporation Latitude D600
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   product info: "O2Micro", "SmartCardBus Reader", "V1.0", ""
   manfid: 0xffff, 0x0001
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   5.0V 16-bit PC Card
   Subdevice 0 (function 0) [unbound]
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic root=UUID=72cd5a0b-fe01-422c-8542-fb4623f063e6 ro quiet splash
ProcEnviron:
 LANG=nl_BE.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.33
RfKill:

SourcePackage: linux
dmi.bios.date: 01/26/2005
dmi.bios.vendor: Dell Computer Corporation
dmi.bios.version: A15
dmi.board.name: 0G5152
dmi.board.vendor: Dell Computer Corporation
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Computer Corporation
dmi.modalias: dmi:bvnDellComputerCorporation:bvrA15:bd01/26/2005:svnDellComputerCorporation:pnLatitudeD600:pvr:rvnDellComputerCorporation:rn0G5152:rvr:cvnDellComputerCorporation:ct8:cvr:
dmi.product.name: Latitude D600
dmi.sys.vendor: Dell Computer Corporation

joenix (woutersj) wrote :
P4man (duvel123) wrote :

Same problem here on the same laptop. Its completely frozen on resume, cant switch to a vtt, even REISUB does nothing.
Using Beta2

joenix (woutersj) on 2010-04-12
Changed in linux (Ubuntu):
status: New → Confirmed
P4man (duvel123) wrote :

Is there any other information I can provide? I tried running the checkbox test script:

sudo bash /usr/share/checkbox/scripts/suspend_test --full

It wont suspend on the first test, it does on the second, and then fails to resume. But if an apport report is made, then I dont know where it is or how to submit or attach it.

joenix (woutersj) wrote :

As a work-around I have installed the kernel package from karmic (2.6.31-14), which seems to work fine.
2.6.33 from the kernel-ppa also doesn't seem to work.

P4man (duvel123) wrote :

Thanks for the tip. Installing kernel 2.6.31-14 indeed fixes the resume issue.
Unfortunately, it also breaks compiz (getting all sorts of graphical corruption on my radeon 9500) and worse, it doesnt work with my wifi card, so its not a workable solution for me.

Dennis (bugrock) wrote :

I have the same problem. Karmic worked fine for me.

JosD (josd-solcon) wrote :

Upgraded yesterday from 9.10 to 10.04 on a Dell Latitude D600 and have exactly the same problem here.

sennight (dndericco) wrote :

Same trouble here after upgrading from 9.10. Machines successfully suspends but on resume the screen is black and unresponsive.

Dennis (bugrock) on 2010-05-04
Changed in linux (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
JosD (josd-solcon) on 2010-05-04
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Neile Havens (neile-havens) wrote :

Just upgraded to Lucid on my Latitude D600 and I have the same problem. Machine enters suspend fine, but does not wake up. The screen backlight never comes on.

Same problem. What does "status: Fix Committed → Confirmed" means? I ran upgrade manager and the problem remains? Is there a fix for this? workaround?

soren121 (soren121) wrote :

Having the same problem here on my D600. Goes to sleep fine when the lid is closed, but when it is opened back up, the screen remains off and unresponsive to any keyboard shortcuts I try. Has anyone tried a different distro that has 2.6.32, and found the same problem?

soren121 (soren121) on 2010-05-28
summary: - Dell latitude D600 hangs on wakeup from suspend
+ Dell Latitude D600 hangs on wakeup from suspend
soren121 (soren121) wrote :

It seems like we're suffering from a problem slightly different from the one found in the Dell Studio 155x machines, because their kernel patch isn't working on the Latitude D600 & Inspiron 600m (which IIRC is exactly the same internally as the D600.) A shame, because their problem is actively being fixed. :/

bruxxist (chrismishek) wrote :

I have this problem on my D600. I updated my BIOS but that didnt work.

Download full text (3.4 KiB)

I can confirm I have tried my D600 on Arch Linux (currently running 2.6.33)
and since some kernel upgrade somewhere in the 2.6.32 generation the suspend
and hibernate stopped working the way it is described here. However I have
not ran extensive debug nor have I compared log files.

Michael

On Fri, May 28, 2010 at 21:57, doodle62 <email address hidden> wrote:

> Having the same problem here on my D600. Goes to sleep fine when the lid
> is closed, but when it is opened back up, the screen remains off and
> unresponsive to any keyboard shortcuts I try. Has anyone tried a
> different distro that has 2.6.32, and found the same problem?
>
> --
> Dell latitude D600 hangs on wakeup from suspend
> https://bugs.launchpad.net/bugs/559163
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Since upgrading to Lucid, my Latitude D600 hangs when resuming from
> suspend.
>
> I get from pm_trace:
> hash matches /build/buildd/linux-2.6.32/drivers/base/power/main.c:433
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-19-386 (not installed)
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
> Uname: Linux 2.6.32-16-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jeroen 1264 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with STAC9750,51 at irq 5'
> Mixer name : 'SigmaTel STAC9750,51'
> Components : 'AC97a:83847650'
> Controls : 38
> Simple ctrls : 24
> Date: Fri Apr 9 13:58:31 2010
> HibernationDevice: RESUME=UUID=98a606c7-aaa3-471c-849e-c578c15318e5
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> Lsusb:
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Dell Computer Corporation Latitude D600
> PccardctlIdent:
> Socket 0:
> no product info available
> Socket 1:
> product info: "O2Micro", "SmartCardBus Reader", "V1.0", ""
> manfid: 0xffff, 0x0001
> PccardctlStatus:
> Socket 0:
> no card
> Socket 1:
> 5.0V 16-bit PC Card
> Subdevice 0 (function 0) [unbound]
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic
> root=UUID=72cd5a0b-fe01-422c-8542-fb4623f063e6 ro quiet splash
> ProcEnviron:
> LANG=nl_BE.utf8
> SHELL=/bin/bash
> RelatedPackageVersions: linux-firmware 1.33
> RfKill:
>
> SourcePackage: linux
> dmi.bios.date: 01/26/2005
> dmi.bios.vendor: Dell Computer Corporation
> dmi.bios.version: A15
> dmi.board.name: 0G5152
> dmi.board.vendor: Dell Computer Corporation
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Computer Corporation
> dmi.modalias:
> dmi:bvnDellComputerCorporation:bvrA15:bd01/26/2005:svnDellComputerCorporation:pnLatitudeD600:pvr:rvnDellComputerCorpora...

Read more...

bruxxist (chrismishek) wrote :

I upgraded to a newer kernel and it fixed the problem: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/
If you have 32 bit ubuntu installed, just download the four packages that say i386.deb and all.deb at the end, and install those. Resumed from suspend just fine after that.

soren121 (soren121) wrote :

Kernel installed fine (see output below), but it still doesn't work for me. :/

nicholas@dell-latd600:~$ uname -a
Linux dell-latd600 2.6.34-020634-generic #020634 SMP Mon May 17 20:34:55 UTC 2010 i686 GNU/Linux

grapedaddy (gla) wrote :

Upgrading to newest mainline kernel didn't work for me either

gd@auditor:~$ uname -a
Linux auditor 2.6.34-020634-generic #020634 SMP Mon May 17 20:34:55 UTC 2010 i686 GNU/Linux

No luck here either with kernel 2.6.34-020634 :( I have A16 Bios...

John Blake (johnpblake2) wrote :

Same issue. D600 with Lucid. Machine enters suspend, but does not wake up.

fez (oldneuro) wrote :

bump.
It's quite a pisser, I used to use suspend a lot.

alana1 (alan-aanderson) wrote :

Same issue, D600 with Lucid, resume's to a black screen. Is there still no fix?

soren121 (soren121) wrote :

Sorry, no. I actually switched back to Karmic because I rely on my laptop's sleep mode so much. A shame, because I liked a lot of the aesthetic changes in Lucid.

joenix (woutersj) wrote :

Please don't post "me too" comments, bumps or non-technical comments. The Ubuntu forums are a better place for these.
Non-informative bug reports will only make getting good information harder and thus make bug fixing slower.

Benny Hult (bioterror) wrote :

Any news about this?

I've found this same bug also in Lubuntu 10.10, Linux Mint 9, CrunchBang 10 “Statler” Alpha 2. Crunchbang is a Debian, so the problem might come from there?

michaelfsp (michael-fsp) wrote :
Download full text (3.2 KiB)

I think it is not exclusive to Debian distros since I also experienced since
some Kernel upgrade in my Arch Linux installation. So far no news from there
either.

Michael

On Tue, Jul 27, 2010 at 13:39, Benny Hult <email address hidden> wrote:

> Any news about this?
>
> I've found this same bug also in Lubuntu 10.10, Linux Mint 9, CrunchBang
> 10 “Statler” Alpha 2. Crunchbang is a Debian, so the problem might come
> from there?
>
> --
> Dell Latitude D600 hangs on wakeup from suspend
> https://bugs.launchpad.net/bugs/559163
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Since upgrading to Lucid, my Latitude D600 hangs when resuming from
> suspend.
>
> I get from pm_trace:
> hash matches /build/buildd/linux-2.6.32/drivers/base/power/main.c:433
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-19-386 (not installed)
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
> Uname: Linux 2.6.32-16-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jeroen 1264 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with STAC9750,51 at irq 5'
> Mixer name : 'SigmaTel STAC9750,51'
> Components : 'AC97a:83847650'
> Controls : 38
> Simple ctrls : 24
> Date: Fri Apr 9 13:58:31 2010
> HibernationDevice: RESUME=UUID=98a606c7-aaa3-471c-849e-c578c15318e5
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> Lsusb:
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Dell Computer Corporation Latitude D600
> PccardctlIdent:
> Socket 0:
> no product info available
> Socket 1:
> product info: "O2Micro", "SmartCardBus Reader", "V1.0", ""
> manfid: 0xffff, 0x0001
> PccardctlStatus:
> Socket 0:
> no card
> Socket 1:
> 5.0V 16-bit PC Card
> Subdevice 0 (function 0) [unbound]
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic
> root=UUID=72cd5a0b-fe01-422c-8542-fb4623f063e6 ro quiet splash
> ProcEnviron:
> LANG=nl_BE.utf8
> SHELL=/bin/bash
> RelatedPackageVersions: linux-firmware 1.33
> RfKill:
>
> SourcePackage: linux
> dmi.bios.date: 01/26/2005
> dmi.bios.vendor: Dell Computer Corporation
> dmi.bios.version: A15
> dmi.board.name: 0G5152
> dmi.board.vendor: Dell Computer Corporation
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Computer Corporation
> dmi.modalias:
> dmi:bvnDellComputerCorporation:bvrA15:bd01/26/2005:svnDellComputerCorporation:pnLatitudeD600:pvr:rvnDellComputerCorporation:rn0G5152:rvr:cvnDellComputerCorporation:ct8:cvr:
> dmi.product.name: Latitude D600
> dmi.sys.vendor: Dell Computer Corporation
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net...

Read more...

Kevin K (stafio) wrote :

This information was posted some time ago, but the patches and information in the page linked below may provide some information to help fix the issue:
http://www.loria.fr/~thome/d600/

Benny Hult (bioterror) wrote :

Thanks Kevin, but Patches from year 2004/2005 are kinda outdated, We could install 9.10 and it would work flawlessly. I did try out Sabayon Linux, but it was horrible what comes to Equo and Sulfur.

Benny Hult (bioterror) wrote :

This morning I decided to try to solve this problem a little and I didn't.
I tried 3 different kernels, two older ones and one newer.

First I tried http://launchpadlibrarian.net/19976056/linux-image-2.6.27-9-generic_2.6.27-9.19_i386.deb and it didn't even boot.
Then I tried linux-headers-2.6.31-02063109-generic_2.6.31-02063109_i386.deb but the keyboard didn't work
Last one was linux-image-2.6.31-02063113-generic_2.6.31-02063113_i386.deb suspend/hibernate doesn't work in this one neither, but the bootsplash looks good, so I'm going to stick on this one.

Becouse I need supend alot, I think I'm going to get myself an another laptop instead of this Dell D600.

sennight (dndericco) wrote :

Following the lead of #28, I installed a few other kernels in the hopes that something might work (apologies if I'm missing any info, I'm still new at this). None of these worked with suspend/resume:

Linux 2.6.30.10-02063010-generic (keyboard frozen)
Linux 2.6.31-020631-generic
Linux 2.6.31.13-02063113-generic
Linux 2.6.35.rc1

Linux 2.6.33 and .34 don't suspend/resume either, and have this odd tendency to render my wireless card useless on booting (but that's a different story). Point is, it doesn't seem like changing the kernel will fix the issue at this juncture.

If I recall, wasn't there a change in how hardware was managed by Ubuntu in the last year? Might that have something to do with this issue?

soren121 (soren121) wrote :

sennight, you're probably thinking of the HAL removal. HAL is the device subsystem that, IIRC, handles device recognization, hotplugging, mounting, etc. It was partially removed in Karmic and completely removed in Lucid.

I think you're on to something- it could just be that udev (the replacement for HAL) doesn't support the D600's suspend/resume system.

sennight (dndericco) wrote :

Thank you soren121 - the HAL replacement was what I was thinking of but couldn't remember. Talking about hardware got me curious, so I pulled out a Dell docking station (D/APR PR01X) and suspended the laptop. So far suspend/resume almost always fails when the laptop is on its own, but when the laptop is docked, suspend/resume works perfectly!

Did some more digging. When the D600 is docked, not only is there a difference in the listed modules in /var/log/pm-suspend.log (to be expected?), but there is also a change in the order in which they are listed (see attached). Specifically:

Module Size Used by
nls_iso8859_1 3249 0
nls_cp437 4919 0
vfat 8901 0
fat 47767 1 vfat

As far as I can tell, these four modules appear only when the D600 is UNDOCKED and does NOT suspend/resume successfully. There may be other differences as well. Might try blacklisting them and see what happens.

Again, apologies if something is unclear or I'm not providing enough specific info.

soren121 (soren121) wrote :

That's strange...I wonder why the dock would make a difference. I don't have a docking station to confirm your findings, unfortunately. :(

joenix (woutersj) wrote :

I can confirm that suspend works on 2.6.32-24-generic when the laptop is docked and doesn't work when undocked.
Nice work!

I think with the docking station we could be on to something.
could anyone who has access to a docking station do the steps described in:
https://wiki.ubuntu.com/DebuggingKernelSuspend
both with the laptop docked and undocked and try to figure out at which point the difference appears.
When you use the docking station, how is the display connected (VGA or DVI)?

in bug #362920 ( https://bugs.launchpad.net/bugs/362920 ) comment 17, someone did the debugging and was able to trace the resume problems to the video card, which does make a lot of sense. Now the question is what the difference in the video card is when the laptop is docked (i.e. VGA vs. DVI).

getriebesand (getriebesand) wrote :

I can confirm too, when laptop is docked, resume from suspend works (2.6.35-6-generic) and when i undock the laptop suspend doesnt work anymore. Only screen goes black and laptop ist locked.

But after restart undocked suspend work and resume not. Here is my dmesg after restart.

[ 1.159314] PM: Resume from disk failed.
[ 1.159346] registered taskstats version 1
[ 1.159815] Magic number: 6:674:135
[ 1.159867] block ram0: hash matches
[ 1.160060] rtc_cmos 00:06: setting system clock to 2010-08-12 16:08:20 UTC (1281629300)
[ 1.160071] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 1.160078] EDD information not available.

getriebesand (getriebesand) wrote :

sorry for the mistake. here the correct entries:

[ 1.102886] PM: Resume from disk failed.
[ 1.102917] registered taskstats version 1
[ 1.103387] Magic number: 0:990:725
[ 1.103397] hash matches /build/buildd/linux-2.6.35/drivers/base/power/main.c:544
[ 1.103430] block loop5: hash matches
[ 1.103507] pci 0000:01:00.0: hash matches
[ 1.103603] rtc_cmos 00:06: setting system clock to 2040-11-19 08:42:33 UTC (2236927353)

lspci:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 01)

Getriebesand: What screen are you using when the laptop is docked? The internal LCD or an external monitor?
If you are using an external monitor, how is it connected (via DVI or VGA)?

getriebesand (getriebesand) wrote :

only internal LCD. When I have time, I will try suspend with KMS disabled. I have one more bug with my video card (bug #583891) Maybe this is related to this bug (or same driver)

sennight (dndericco) wrote :

When suspending undocked, my dmesg results match what getriebesand reported, with a similar hardware setup (no external monitors, using internal LCD).

[ 1.009300] PM: Resume from disk failed.
[ 1.009313] registered taskstats version 1
[ 1.009570] Magic number: 0:53:725
[ 1.009574] hash matches /build/buildd/linux-2.6.32/drivers/base/power/main.c:433
[ 1.009601] block loop5: hash matches
[ 1.009670] pci 0000:01:00.0: hash matches

From lspci:
01:00.0: VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 02)

Interestingly, in examining the log from successful suspend/resume while docked, I find this:

[ 0.561437] PM: Resume from disk failed.
[ 0.561464] registered taskstats version 1
[ 0.561751] Magic number: 6:891:674

No hash matches follow. I'm not quite sure why PM is reporting a suspend failure when it clearly works in this instance.

If it would be helpful, I can post the dmesg results from both tests. Unfortunately, the log file for suspending while undocked was cut off after a bonobo-activation segfault so I'm not sure how much use it will be. Should also note that I have not experienced the other bug (https://bugs.launchpad.net/bugs/583891) that getriebesand shared.

sennight (dndericco) wrote :

Disabling KMS per these instructions (https://wiki.ubuntu.com/X/KernelModeSetting) prevented the machine from suspending at all. From pm-suspend.log:

/usr/lib/pm-utils/sleep.d/99video suspend suspend:kernel.acpi_video_flags = 0
--quirk-no-fb passed, but system is using a framebuffer.
Aborting.
Returned exit code 1.
Wed Aug 18 11:18:52 EDT 2010: Inhibit found, will not perform suspend
Wed Aug 18 11:18:52 EDT 2010: Running hooks for resume

Blacklisting radeon does not seem to have any effect either.

Any suggestions for further action would be welcome.

soren121 (soren121) wrote :

The bug is still present in the 10.10 Maverick beta. :/

fez (oldneuro) wrote :

Is anyone working on a fix?

Benny Hult (bioterror) wrote :

Add "nodemodeset" to the end of the boot line in grub (without "")
you can try it first when you're booting.

I added it to the grub.cfg and works flawlessly.
"linux /vmlinuz26 root=/dev/disk/by-uuid/626f55f1-1946-46e4-9b74-47d00bb9e119 ro quiet splash nomodeset"

Hope it works for you all too ;)

Benny Hult (bioterror) wrote :

Sorry for the typo and spamming: "nomodeset", it's 02:00 in the "evening".

jcwinnie (jcwinnie) wrote :

Thanks. It worked after I learned that I needed to edit /etc/default/grub

On Sun, Sep 19, 2010 at 7:01 PM, Benny Hult <email address hidden>wrote:

> Sorry for the typo and spamming: "nomodeset", it's 02:00 in the
> "evening".
>
> --
> Dell Latitude D600 hangs on wakeup from suspend
> https://bugs.launchpad.net/bugs/559163
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (534684).
>

bruxxist (chrismishek) wrote :

Hi could someone post a detailed explanation on how to edit the grub.cfg file. It said read only and I dont know where to put the "nomodeset" since i dont have a line looking like the Benny Hult has: "linux /vmlinuz26 root=/dev/disk/by-uuid/626f55f1-1946-46e4-9b74-47d00bb9e119 ro quiet splash nomodeset"

jcwinnie (jcwinnie) wrote :

Sure, from the command line, run

  sudo gedit /etc/default/grub

Look for the line:

  GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

change it to

  GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset"

save the file, then run

  sudo update-grub

That's what I did and it worked.

jcwinnie (jcwinnie) wrote :

Well, in the land of the weird, home of the strange, solving this problem would seem to invoke others, e.g., no sound AGAIN and an inability to shutdown, either from the desktop or with 'sudo shutdown now'. So I erase the nomodeset and ran update-grub again. After forcibly shutting off the laptop and re-starting, there was sound and I was able to shutdown normally.

henry rekers (atk-nut) wrote :

Same issue here. Sound gone, no logout plus no advanced graphics. I reverted my change also.

Cristian (cristianrosa) wrote :

I think somebody already reported this upstream https://bugzilla.kernel.org/show_bug.cgi?id=16140
It looks like it is related to the handling of the agp bridge on suspend/resume, but it is not clear yet.

soren121 (soren121) wrote :

This bug appears to be fixed in the final release of Maverick. Anyone else want to confirm?

soren121 (soren121) wrote :

Actually, scratch that, it's still broken. BUT I've found a fix/workaround that does not appear to trigger any regressions. If you enable a primary password in the BIOS, then the video will be initialized before Ubuntu loads, and it will wake up properly (at least, that's what I think it's doing.)

fez (oldneuro) wrote :

I can verify that setting a primary password in the BIOS allows the system to come out of suspend, after which the sound still works and shutdown works. The only glitch seems to be that certain 'advanced desktop settings' don't take effect.

soren121 (soren121) wrote :

What do you mean by that? The Compiz visual effects? Those appear to be working fine for me.

Great workaround! Thank you Soren121! After setting primary password suspend and everything else works great.

John Feeney (feeney-john) wrote :

Setting primary password doesn't wok for me. Running 10.10.

getriebesand (getriebesand) wrote :

good work Mauricio :) This works for me. Thank you

joenix (woutersj) wrote :

The primary password doesn't help for me. The screen turns on and I can enter the password to unlock, but after that the sytem completely hangs.

getriebesand (getriebesand) wrote :

With BIOS A16 suspend is working only with docking station. Undocked same problem as before.

Warren Kretzschmar (wkretzsch) wrote :

Setting the bios password works for me. Great workaround.

Paolo Molaro (lupus-oddwiz) wrote :

I can confirm that setting the primary password makes resume work for me, too.
Ubuntu 10.4, bios A09, kernel 2.6.32-25.

nerdy_kid (nerdy-kid) wrote :

I have a laptop running Maverick with the same bug, setting the bios password fixed it. I might try messing with pm-utils video quirks to see if I can get it working without the bios password.

Aritchie (aritchie) wrote :

Hmm, I am running 11.04 on a Dell Latitude D560 and suspend and hibernate does not work either. I tried setting the primary password in the bios and that did not work. I will check what bios version is on it.

tags: removed: regression-potential
Aritchie (aritchie) wrote :

Okay gentlmen I do not know why I could not get it to work before but setting the primary password in the bios DOES work. The bios version is A15. Actually for security reasons maybe this is not such a bad thing. I did notice a difference between closing the lid to put it in suspend and selecting "Suspend" from the panel shutdown menu. Keep in mind that this is 11.04 final too I am running with Unity-2d and compiz. If I close the lid to suspend and then open it back up, I only have to enter the primary password to wake up the laptop. If I select "Suspend" from the shutdown menu, it kicks on the screensaver in lock mode before it suspends and then when I wake it up I have to enter the primary password and then I have to enter my user password to get back to the desktop. I do not have the lock feature set on my screensaver by the way. Both methods seem to work. I think it is a pretty good solution myself. I will try the hibernate function and see what happens on that.

Aritchie (aritchie) wrote :

The hibernate function does work. It also kicks on the screensaver in lock mode before it puts the laptop in hibernation. Cool!

Aritchie (aritchie) wrote :

Okay, I just noticed in my initial post I gave the model number as D560 - I have no idea why I put that. The laptop is a Latitude D600.

androith (androith) wrote :

Has anybody tested setting the primary password with kernel 3.0/Ubuntu 11.10? If so, does it work?

androith (androith) wrote :

It does. Linux tucuxi 3.0.0-12-generic.

Setting the BIOS Primary password worked on the Dell D600 I recently installed Ubuntu 11.10 on to give it extra life at a school.

joenix, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please provide the information following https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume ? As well, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ . However, note you can only test Suspend, not Hibernate, when using a LiveCD. If the issue remains, run the following command in the development release from a Terminal (Applications->Accessories->Terminal) as it will automatically gather and attach updated debug information to this report.

apport-collect -p linux <BUGNUMBER>

Additionally, if you could try to reproduce this with the upstream mainline kernel that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

tags: added: needs-bisect regression-release
description: updated
description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
soren121 (soren121) wrote :

Christopher: This bug is still open upstream.

Here is the kernel.org Bugzilla report: https://bugzilla.kernel.org/show_bug.cgi?id=16140

All Linux distributions I've used on the D600 still contain this regression. I am now using CrunchBang Linux with an unmodified Linux 3.2.0 kernel, and it's still broken.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Wirawan Purwanto (wirawan0) wrote :

This bug is probably not going to be resolved, given the lack of interest in solving the problem, and the oldness of the video card. If you use crunchbang linux, there is actually a simple workaround which I found to be working. I disabled the kernel modeset altogether (so it reverts back to user-mode modesetting. which was the old way of doing things). This is done by modifying the kernel command-line parameter (GRUB_CMDLINE_LINUX ) in /etc/default/grub:

GRUB_CMDLINE_LINUX="radeon.modeset=0"

After that you execute `sudo /usr/sbin/update-grub' and reboot. Try it and let us know. On my laptop (which is actually a inspiron 600m with D600 motherboard), suspend to RAM and resume worked fine. I would be curious to see if this would work also for ubuntu. I believe it should, but I was never aware of it before.

Wirawan

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
Jeff (m8r-sfr37u) wrote :

The two things that absolutely worked for me on the Dell Latitude D600 were :

1) Setting the primary password in Bios (I'm running version A16)
2) Modifying the GRUB_CMDLINE_LINUX setting in /etc/default/grub as follows:
GRUB_CMDLINE_LINUX="radeon.modeset=0"

Nothing else worked.

Since I'd prefer not to have a primary password, (it's a useless feature), I went with the second solution.

Jeff, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.